Get Customer Details V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers/{customer_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "671536f8-ddc5-4b1e-bd6f-27d0ed07a27c",
"type": "BUSINESS",
"business_name": "Fin.com",
"email": "contact@fin.com",
"phone": "+14155552671",
"country_of_incorporation": "USA",
"verification_type": "STANDARD",
"customer_status": "ACTION_REQUIRED",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=671536f8-ddc5-4b1e-bd6f-27d0ed07a27c&tos_policies_value=4e0e505a-36f0-4c9e-8eb1-3916410f227c",
"associated_parties": [
{
"id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"type": "INDIVIDUAL",
"ownership_percent": 60,
"email": "jane.smith@acmecorp.com",
"verification": {
"status": "REJECTED",
"reason": {
"for_customer": null,
"for_developer": null
},
"updated_at": "2026-05-04T12:36:42Z"
}
},
{
"id": "4ef045ea-c7a7-46dc-84a0-9a3d83186971",
"type": "INDIVIDUAL",
"ownership_percent": 40,
"email": "robert.chen@acmecorp.com",
"verification": {
"status": "APPROVED",
"reason": {
"for_customer": null,
"for_developer": null
},
"updated_at": "2026-05-04T12:29:47Z"
}
}
],
"created_at": "2026-05-04T12:11:27Z",
"updated_at": "2026-05-04T12:34:03Z",
"last_status_updated_at": "2026-05-04T12:32:34.47927Z",
"rejection_reason": {
"applicant": {
"moderation_comment": "",
"reject_labels": [
"LOW_QUALITY",
"UNFILLED_ID",
"DOCUMENT_TEMPLATE",
"NOT_DOCUMENT"
]
},
"documents": [
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "SUPPORTING_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The document should be of good quality.",
"reject_labels": [
"LOW_QUALITY"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "OWNERSHIP_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The document is not authentic",
"reject_labels": [
"UNFILLED_ID"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "OWNERSHIP_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The uploaded file appears to be a document template.",
"reject_labels": [
"DOCUMENT_TEMPLATE"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "SUPPORTING_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The file is not a document",
"reject_labels": [
"NOT_DOCUMENT"
]
}
],
"associated_parties": [
{
"id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"applicant": {
"moderation_comment": "",
"reject_labels": [
"EXPIRATION_DATE"
]
},
"documents": [
{
"uri": "/OUkUie0z_approved_passport_sumsub.jpg",
"category": "PROOF_OF_IDENTITY",
"moderation_comment": "Your identity document must be valid for at least 2 month(s) from the date of submission.",
"reject_labels": [
"EXPIRATION_DATE"
]
}
]
}
]
},
"request_for_information": [
{
"scope": "ASSOCIATED_PARTY",
"associated_party_id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"section": "identifying_documents",
"categories": [
{
"document_type": "PASSPORT",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "expiry_date",
"data_type": "DATE",
"status": "INVALID",
"options": []
},
{
"field_name": "issue_date",
"data_type": "DATE",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "User identity document is not valid for at least 2 month(s) from the date of submission.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "formation_documents",
"categories": [
{
"document_type": "EVIDENCE_OF_DIRECTORS_AND_CONTROLLERS",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Unacceptable document.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "supporting_documents",
"categories": [
{
"document_type": "PROOF_OF_SOURCE_OF_FUNDS",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Unacceptable document.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "ownership_documents",
"categories": [
{
"document_type": "PROOF_OF_SIGNATORY_AUTHORITY",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Document appears to be corrupted",
"options": []
}
]
}
]
}
]
}
}Customer details
Get Customer Details V2
Retrieve detailed information for a specific customer
GET
/
v2
/
customers
/
{customer_id}
Get Customer Details V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers/{customer_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "671536f8-ddc5-4b1e-bd6f-27d0ed07a27c",
"type": "BUSINESS",
"business_name": "Fin.com",
"email": "contact@fin.com",
"phone": "+14155552671",
"country_of_incorporation": "USA",
"verification_type": "STANDARD",
"customer_status": "ACTION_REQUIRED",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=671536f8-ddc5-4b1e-bd6f-27d0ed07a27c&tos_policies_value=4e0e505a-36f0-4c9e-8eb1-3916410f227c",
"associated_parties": [
{
"id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"type": "INDIVIDUAL",
"ownership_percent": 60,
"email": "jane.smith@acmecorp.com",
"verification": {
"status": "REJECTED",
"reason": {
"for_customer": null,
"for_developer": null
},
"updated_at": "2026-05-04T12:36:42Z"
}
},
{
"id": "4ef045ea-c7a7-46dc-84a0-9a3d83186971",
"type": "INDIVIDUAL",
"ownership_percent": 40,
"email": "robert.chen@acmecorp.com",
"verification": {
"status": "APPROVED",
"reason": {
"for_customer": null,
"for_developer": null
},
"updated_at": "2026-05-04T12:29:47Z"
}
}
],
"created_at": "2026-05-04T12:11:27Z",
"updated_at": "2026-05-04T12:34:03Z",
"last_status_updated_at": "2026-05-04T12:32:34.47927Z",
"rejection_reason": {
"applicant": {
"moderation_comment": "",
"reject_labels": [
"LOW_QUALITY",
"UNFILLED_ID",
"DOCUMENT_TEMPLATE",
"NOT_DOCUMENT"
]
},
"documents": [
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "SUPPORTING_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The document should be of good quality.",
"reject_labels": [
"LOW_QUALITY"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "OWNERSHIP_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The document is not authentic",
"reject_labels": [
"UNFILLED_ID"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "OWNERSHIP_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The uploaded file appears to be a document template.",
"reject_labels": [
"DOCUMENT_TEMPLATE"
]
},
{
"uri": "/ZuyUaH3a_testdoc1.png",
"category": "SUPPORTING_DOCUMENTS",
"moderation_comment": "This document is not accepted.\n - The file is not a document",
"reject_labels": [
"NOT_DOCUMENT"
]
}
],
"associated_parties": [
{
"id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"applicant": {
"moderation_comment": "",
"reject_labels": [
"EXPIRATION_DATE"
]
},
"documents": [
{
"uri": "/OUkUie0z_approved_passport_sumsub.jpg",
"category": "PROOF_OF_IDENTITY",
"moderation_comment": "Your identity document must be valid for at least 2 month(s) from the date of submission.",
"reject_labels": [
"EXPIRATION_DATE"
]
}
]
}
]
},
"request_for_information": [
{
"scope": "ASSOCIATED_PARTY",
"associated_party_id": "2e719a54-cdef-43f9-a5ac-f6ef679ea1dc",
"section": "identifying_documents",
"categories": [
{
"document_type": "PASSPORT",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "expiry_date",
"data_type": "DATE",
"status": "INVALID",
"options": []
},
{
"field_name": "issue_date",
"data_type": "DATE",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "User identity document is not valid for at least 2 month(s) from the date of submission.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "formation_documents",
"categories": [
{
"document_type": "EVIDENCE_OF_DIRECTORS_AND_CONTROLLERS",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Unacceptable document.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "supporting_documents",
"categories": [
{
"document_type": "PROOF_OF_SOURCE_OF_FUNDS",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Unacceptable document.",
"options": []
}
]
}
]
},
{
"scope": "CUSTOMER",
"section": "ownership_documents",
"categories": [
{
"document_type": "PROOF_OF_SIGNATORY_AUTHORITY",
"fields": [
{
"field_name": "type",
"data_type": "ENUM",
"status": "INVALID",
"options": []
},
{
"field_name": "files",
"data_type": "URI",
"status": "INVALID",
"reason": "Document appears to be corrupted",
"options": []
}
]
}
]
}
]
}
}Use this endpoint to fetch business customer details. For individual customer details, use Get Customer Details.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Customer details retrieved successfully
- Individual
- Business
Show child attributes
Show child attributes
⌘I
